import { IQueryPageOption } from '@oinone/kunlun-service';
import { FormM2MFieldSelectWidget } from '../../../../../field';
export declare class AppsModuleUpstreamSelectWidget extends FormM2MFieldSelectWidget {
    get moduleOptionsField(): string;
    protected loadOptions(param?: IQueryPageOption): Promise<any>;
    protected loadMore(): Promise<void>;
    protected fillOptions(dataList: Record<string, unknown>[], insetDefaultValue?: boolean): Promise<void>;
    protected watchModuleOptions(): void;
    protected mounted(): Promise<void>;
}
